package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.CategoriaOrgao;



public class RenderConfiguracionCategoriaOrgao implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        CategoriaOrgao categoria = (CategoriaOrgao) o;
        if(categoria.getActivo()){
	        Listcell lc = new Listcell(categoria.getOrgao() == null ? "" : categoria.getOrgao().getOrgaoConcedenteId().toString());
	        lc.setParent(lstm);
	        
	        lc = new Listcell(categoria.getOrgao() == null ? "" : categoria.getOrgao().getDescOrgao());
	        lc.setParent(lstm);
	
	
	        lstm.setAttribute("data", categoria);
        }
    }
}
